libvisio::VSDOutputElementList Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libvisio::VSDOutputElementList Class Reference

`#include <VSDOutputElementList.h>`

## Public Member Functions
| VSDOutputElementList ()
| VSDOutputElementList (const VSDOutputElementList &elementList)
VSDOutputElementList & | operator= (const VSDOutputElementList &elementList)
virtual | ~VSDOutputElementList ()
void | append (const VSDOutputElementList &elementList)
void | draw (librevenge::RVNGDrawingInterface *painter) const
void | addStyle (const librevenge::RVNGPropertyList &propList)
void | addPath (const librevenge::RVNGPropertyList &propList)
void | addGraphicObject (const librevenge::RVNGPropertyList &propList)
void | addStartTextObject (const librevenge::RVNGPropertyList &propList)
void | addOpenParagraph (const librevenge::RVNGPropertyList &propList)
void | addOpenSpan (const librevenge::RVNGPropertyList &propList)
void | addInsertText (const librevenge::RVNGString &text)
void | addCloseSpan ()
void | addCloseParagraph ()
void | addEndTextObject ()
void | addStartLayer (const librevenge::RVNGPropertyList &propList)
void | addEndLayer ()
bool | empty () const

## Private Attributes
std::vector< VSDOutputElement * > | m_elements

## Constructor & Destructor Documentation

libvisio::VSDOutputElementList::VSDOutputElementList | ( |  | ) |

libvisio::VSDOutputElementList::VSDOutputElementList | ( | const VSDOutputElementList & | elementList | ) |

libvisio::VSDOutputElementList::~VSDOutputElementList | ( |  | ) |
| virtual

## Member Function Documentation

void libvisio::VSDOutputElementList::addCloseParagraph | ( |  | ) |

void libvisio::VSDOutputElementList::addCloseSpan | ( |  | ) |

void libvisio::VSDOutputElementList::addEndLayer | ( |  | ) |

void libvisio::VSDOutputElementList::addEndTextObject | ( |  | ) |

void libvisio::VSDOutputElementList::addGraphicObject | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libvisio::VSDOutputElementList::addInsertText | ( | const librevenge::RVNGString & | text | ) |

void libvisio::VSDOutputElementList::addOpenParagraph | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libvisio::VSDOutputElementList::addOpenSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libvisio::VSDOutputElementList::addPath | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libvisio::VSDOutputElementList::addStartLayer | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libvisio::VSDOutputElementList::addStartTextObject | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libvisio::VSDOutputElementList::addStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libvisio::VSDOutputElementList::append | ( | const VSDOutputElementList & | elementList | ) |

void libvisio::VSDOutputElementList::draw | ( | librevenge::RVNGDrawingInterface * | painter | ) | const

bool libvisio::VSDOutputElementList::empty | ( |  | ) | const
| inline

libvisio::VSDOutputElementList & libvisio::VSDOutputElementList::operator= | ( | const VSDOutputElementList & | elementList | ) |

## Member Data Documentation

std::vector<VSDOutputElement *> libvisio::VSDOutputElementList::m_elements
| private

Referenced by append(), empty(), operator=(), and VSDOutputElementList().

The documentation for this class was generated from the following files:

- VSDOutputElementList.h
- VSDOutputElementList.cpp